Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.outlet
Class OutletResultTest

    java.lang.Object
      org.apache.torque.generator.outlet.OutletResultTest

    public class OutletResultTest

extends Object

Component tests for OutletResult.

Version:
  $Id: $

Constructor Summary
`OutletResultTest()`

Method Summary
`void` | `setUp()`
`void` | `testConcatenateByteArray()` Checks that the concatenate() method works for normal byte array results.
`void` | `testConcatenateEmpty()` Checks that the concatenate() method throws an exception for an empty input.
`void` | `testConcatenateNullArray()` Checks that the concatenate() method throws an exception for a null input.
`void` | `testConcatenateNullByteArray()` Checks that the concatenate() method works for null byte array results.
`void` | `testConcatenateNullList()` Checks that the concatenate() method throws an exception for a null input.
`void` | `testConcatenateNullString()` Checks that the concatenate() method works for null String results.
`void` | `testConcatenateStartingWithNullByteArray()` Checks that the concatenate() method works if we start with a null byte array result.
`void` | `testConcatenateStartingWithNullString()` Checks that the concatenate() method works if we start with a null string result.
`void` | `testConcatenateString()` Checks that the concatenate() method works for normal String results.
`void` | `testConcatenateWrongTypes()` Checks that the concatenate() throws an exception if OutletResults of different types are concatenated.
`void` | `testEquals()` Checks that the equals() method returns the correct content.
`void` | `testGetByteArrayResult()` Checks that the getStringResult() method returns the correct content.
`void` | `testGetStringResult()` Checks that the getStringResult() method returns the correct content.
`void` | `testIsByteArrayResult()` Checks that the isByteArrayResult() method returns the correct content.
`void` | `testIsStringResult()` Checks that the isStringResult() method returns the correct content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutletResultTest

    public OutletResultTest()

Method Detail

### setUp

    public void setUp()

### testGetStringResult

    public void testGetStringResult()

  Checks that the getStringResult() method returns the correct content.

### testGetByteArrayResult

    public void testGetByteArrayResult()

  Checks that the getStringResult() method returns the correct content.

### testIsStringResult

    public void testIsStringResult()

  Checks that the isStringResult() method returns the correct content.

### testIsByteArrayResult

    public void testIsByteArrayResult()

  Checks that the isByteArrayResult() method returns the correct content.

### testConcatenateWrongTypes

    public void testConcatenateWrongTypes()

  Checks that the concatenate() throws an exception if OutletResults of different types are concatenated.

### testConcatenateString

    public void testConcatenateString()
                               throws GeneratorException

  Checks that the concatenate() method works for normal String results.

  Throws:
    `GeneratorException`

### testConcatenateNullString

    public void testConcatenateNullString()
                                   throws GeneratorException

  Checks that the concatenate() method works for null String results.

  Throws:
    `GeneratorException`

### testConcatenateStartingWithNullString

    public void testConcatenateStartingWithNullString()
                                               throws GeneratorException

  Checks that the concatenate() method works if we start with a null string result.

  Throws:
    `GeneratorException`

### testConcatenateByteArray

    public void testConcatenateByteArray()
                                  throws GeneratorException

  Checks that the concatenate() method works for normal byte array results.

  Throws:
    `GeneratorException`

### testConcatenateNullByteArray

    public void testConcatenateNullByteArray()
                                      throws GeneratorException

  Checks that the concatenate() method works for null byte array results.

  Throws:
    `GeneratorException`

### testConcatenateStartingWithNullByteArray

    public void testConcatenateStartingWithNullByteArray()
                                                  throws GeneratorException

  Checks that the concatenate() method works if we start with a null byte array result.

  Throws:
    `GeneratorException`

### testConcatenateNullArray

    public void testConcatenateNullArray()
                                  throws GeneratorException

  Checks that the concatenate() method throws an exception for a null input.

  Throws:
    `GeneratorException`

### testConcatenateNullList

    public void testConcatenateNullList()
                                 throws GeneratorException

  Checks that the concatenate() method throws an exception for a null input.

  Throws:
    `GeneratorException`

### testConcatenateEmpty

    public void testConcatenateEmpty()
                              throws GeneratorException

  Checks that the concatenate() method throws an exception for an empty input.

  Throws:
    `GeneratorException`

### testEquals

    public void testEquals()

  Checks that the equals() method returns the correct content.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.